Jump to content

Archived

This topic is now archived and is closed to further replies.

lekillerderpg

plein de questions sur migration windows ---> linux

Recommended Posts

Il faut tout de même dire que parfois les dépôts ont pas mal de retard sur les dernières versions.

Je pense par exemple à la bibliothèque graphique SFML qui n'est pas en dernière version dans les dépôts. Idem pour gcc qui n'était pas en 5.2 avant les dépôts accompagnants Ubuntu 15.10

Alors là aussi, il y a confusion entre l'installation d'un soft, et sa version. Si tu veux la dernière version d'un logiciel, utilise Arch et pas Debian par exemple. Mais même dans ce cas là, la dernière version d'un soft n'apporte que peu de fonctionnalités supplémentaires "en général". Et au pire, par exemple sous Debian/Devuan, je fais mon propre paquet et je l'installe grace à l'installateur.

Pour finir sur la version d'un paquet dans une distribution, la version est gelée à la RC de la distro (normal), et est donc accessible dès chaque nouvelle version via le gestionnaire lors des mises à jour. Si tu veux une install avec les dernières versions, tourne-toi vers une distro en rolling release (Arch, Debian testing...)

Et, en production, on se jette rarement sur la dernière version qui vient de sortir. Je connais pleins de gens qui developpent encore en Python 2.7, bien que cette version soit obsolète. :chinois:

Share this post


Link to post
Share on other sites

Il faut tout de même dire que parfois les dépôts ont pas mal de retard sur les dernières versions.

Je pense par exemple à la bibliothèque graphique SFML qui n'est pas en dernière version dans les dépôts. Idem pour gcc qui n'était pas en 5.2 avant les dépôts accompagnants Ubuntu 15.10

 

Courir après la dernière version d'un soft, c'est risqué. Tu prends le risque d'avoir des régressions, des bugs non corrigés, voire des failles nouvelles.

 

Sauf si tu es développeur, c'est à éviter à mon avis. Même Fedora, qui est bleeding edge, ne met pas les toutes dernières versions sorties dans sa branche stable.

Share this post


Link to post
Share on other sites

Ça y'est je crois que lekillerderpg a fui :ane:

 

Ou alors il en est au stade où il a installé sa première distrib et fait des moulinets avec sa souris en levant un sourcil gauche s'il a une GUI fonctionnelle :troll:

 

Trève de plaisanterie, n'hésite pas à faire un retour de première expérience pour le topic précédent, qu'on adapte notre argumentaire :mdr2:

Share this post


Link to post
Share on other sites

Courir après la dernière version d'un soft, c'est risqué. Tu prends le risque d'avoir des régressions, des bugs non corrigés, voire des failles nouvelles.

 

Sauf si tu es développeur, c'est à éviter à mon avis. Même Fedora, qui est bleeding edge, ne met pas les toutes dernières versions sorties dans sa branche stable.

 

Sinon, tu prends ArchLinux! c'est pour les Warriors qui veulent du vrai bleeding edge en rolling release! :D

Share this post


Link to post
Share on other sites

Oh, je ne connaissais pas cette notion de "Rolling Release" et "Bleeding edge" !

ArchLinux, je connais, mais je préfère tout de même avoir une distrib' un peu plus facile à prendre en main.

 

Et, en production, on se jette rarement sur la dernière version qui vient de sortir. Je connais pleins de gens qui developpent encore en Python 2.7, bien que cette version soit obsolète. :chinois:

Python 2.7, je pense qu'ils doivent avoir des dépendances qui n'ont pas été mises à jour. Sinon, le python 3 est tout de même stable ! (version 3.5 à l'heure actuelle)

Share this post


Link to post
Share on other sites

je suis de retour..... ^^

 

bon, alors par quoi commencer? ^^

 

///////////

 

j'ai testé ubuntu 1404 (tls) sous vmware (tls pcke je veux un systeme qui bouge pas trop dans le temps)

 

moins de 30min plus tard je l'ai briqué et cela en tapant ma premiere commande -_-''' (commande pour activer numlock avant l'ecran de login) (j'avais pas de snapshot) (pas d'option dans un gui pour faire ça, c une honte -_-'''')

 

EDIT: pcke le partage marche pas? faut down samba ? et faut rebooter apres l'install de samba? linux le premier os fourni en kit!

 

ensuite le reste du temps je l'ai passé sous win à tester virtualbox (v5.0.10(10-11-15))

 

blablabla t'auras jms besoin de down à la main les paquets blablabla

 

la logiteque ubuntu ne propose que la v4.3.10 (25-03-14) c recent tout ça  -_-''' (je l'ai compris apres l'avoir installé)

 

paquet 5.0.10 down à la main, refuse de s'installer (via logiteque, hein), commande pour virer "correctement" 4.3 alors que je l'avais bien desinstallé avant -_-'''

 

5.0.10 installé et fonctionnel (nan je vais pas lancer un pc virtuel dans un pc virtuel) c juste pour voir si la version linux differe de la version windows (vu que je vais refaire mes vm windows avec la version windows de virtualbox puis les utiliser sous linux via la version linux de virtualbox)

 

à propos de virtualbox avant de recreer mes vm, je cherche les meilleurs reglages, veux pas refaire mes vm pcke me suis trompé sur le choix du chipset ou autre

 

vm win7.64  win8.1.64  win10.64

 

merci de corriger si besoin et de me dire pour tous les reglages, quels sont les meilleurs (stabilité), et pour la partie systeme à quoi ils servent

 

merci

 

///////////

 

-systeme

 chipset                         Intel PIIX3
 io-apic                         activé (obligatoire pour vm 64 bits)
 PAE/NX                        ???
 paravirtualisation         ???
 VT-x/AMD/V                 activé (obligatoire pour vm 64 bits)
 pagination imbriquée   ???

-affichage
 memoire                       ???
 acceleration 3d             ???
 acceleration 2d             ???

 

-stockage
 ide  (vista,7,...)               Intel PIIX4
 scsi (vista,7,...)               Lsilogic
 

-audio

 pilote (vista,7,...)            directsound
 controleur (vista,7,...)    Intel Audio HD

 

////////

 

via le linux virtuel, je ne peux pas voir quels choix de paravirtualisation il propose, qqun pourrait me les indiquer ?

 

sous win il me propose aucun/def/heritage/minimal/hyper/kvm

 

si je prends hyper, vu que ça vient de crosoft, je ne pourrais pas utiliser les vm créées sous win sur linux ?

Share this post


Link to post
Share on other sites
j'ai testé ubuntu 1404 (tls) sous vmware (tls pcke je veux un systeme qui bouge pas trop dans le temps)

hmmm, ok

 

 

 

moins de 30min plus tard je l'ai briqué et cela en tapant ma premiere commande -_-''' (commande pour activer numlock avant l'ecran de login) (j'avais pas de snapshot) (pas d'option dans un gui pour faire ça, c une honte -_-'''')

Le numlock avant l'ecran de login ? du pave numerique ?

Quel est la commande tu as essaye et la source ?

Si tu as fait une fausse manip avec un coup de sudo alors oui, c'est possible de casser sa distrib (ca peut arriver vite a coup de sudo)

 

 

 

la logiteque ubuntu ne propose que la v4.3.10 (25-03-14) c recent tout ça -_-''' (je l'ai compris apres l'avoir installé)

paquet 5.0.10 down à la main, refuse de s'installer (via logiteque, hein), commande pour virer "correctement" 4.3 alors que je l'avais bien desinstallé avant -_-'''

heu, bon rapidos :

La LTS veut dire Long term support donc oui c'est sense etre stable donc les paquets qui vont etre dispo vont dater de 2014 au max pour garder un environnement stable.

du coup si tu d/l depuis l'editeur et que tu install a la main, la nouvelle version va certainement demander des libraries qui ne sont pas disponible sur cette version du systeme.

Si tu veux des soft recent, prend une distrib recente. (on l'a dit plein de fois dans les posts precedent par rapport aux dependances de paquets)

 

 

 

EDIT: pcke le partage marche pas? faut down samba ? et faut rebooter apres l'install de samba? linux le premier os fourni en kit!

Wut ?

Pour acceder a un partage samba depuis ta VM ? normalement ca se fait tout seul (enfin ca le fait tout seul sur Fedora)

Apres pour pouvoir partager un dossier depuis ta VM via Samba, j'ai jamais trop essaye mais faut regarder du cote de samba-server. -> concept server-client - la partie server est en general pas install par defaut sur les distrib client (mais bon en general c'est un paquet a installer pour ca)

 

 

 

à propos de virtualbox avant de recreer mes vm, je cherche les meilleurs reglages, veux pas refaire mes vm pcke me suis trompé sur le choix du chipset ou autre

vm win7.64 win8.1.64 win10.64

merci de corriger si besoin et de me dire pour tous les reglages, quels sont les meilleurs (stabilité), et pour la partie systeme à quoi ils servent

Par defaut je laisse le wizard de VirtualBox faire (juste specifier ce que je j'install).

Eventuellement je rajoute un peu de RAM, un peu d'espace disque, quelques core en plus ou j'active quelques options comme certaine acceleration mais pour les details j'y touche pas et ca marche tres bien.

 

Je connais pas tout mais bon je vais quand meme essaye

-systeme

 chipset                         Intel PIIX3

 io-apic                         activé (obligatoire pour vm 64 bits)

 PAE/NX                        ??? // c'est l'adressage etendu memoire -> ca permet aux systeme 32bit de gerer plus de 4Go de RAM

 paravirtualisation         ??? // c'est le moteur de virtualisation -> j'y touche pas.

 VT-x/AMD/V                 activé (obligatoire pour vm 64 bits)

 pagination imbriquée   ??? // j'imagine que tu c'est une option de gestion de memoire // j'y touche pas

-affichage

 memoire                       ??? // C'est la VRAM que tu veux donner a ta VM (memoire video), j'en rajoute toujours un peu mais bon ca depend de ce que tu fais sur ta VM

 acceleration 3d             ??? // activer l'acceleration 3D materiel // Je la coche toujours.

 acceleration 2d             ??? // activer l'acceleration 2D materiel // c'est une option legacy de l'epoque ou il y a vait une separation 2D/3D (maintenent l'accel 2D est pris en compte par l'accel 3D OpenGL) // l'option marche pas sous Linux donc j'y touche pas.

 

-stockage

 ide  (vista,7,...)               Intel PIIX4

 scsi (vista,7,...)               Lsilogic

 

-audio

 pilote (vista,7,...)            directsound

 controleur (vista,7,...)    Intel Audio HD

 

 

Voila,

J'ai vraiment l'impression que tu essaye d'appliquer tes habitudes windows sur linux et tu essaye d'avoir le controle de tout sans vraiment comprendre tout les reglages.

Si tu sais pas ce que c'est laisse la conf par defaut c'est en general ce qui marche le mieux.

Share this post


Link to post
Share on other sites

ok compris pour la tls, c ptet pas un super choix, c noté

 

le numlock, j'ai semble t'il passé une commande pas pour la bonne version du noyau -_-'''

 

pour le partage il m'a fait down un truc + reboot

 

vbox qui fout 512mo de ram pour un win 7.64 par defaut, alors que faut 2go sinon le winupdate plante -_-''' (g 8go de ram)

 

les reglages sous vbox tu dis que tu touches pas, mais quels sont tes reglages par defaut

 

reglages par defaut pour 7.8.10-64 sous vbox windows

 

-piix3/io-apic/vtx/pagination

-ramvideo27mo
-sata
-directsound/intelaudiohd
-intelpro1000desktop
-usb2

Share this post


Link to post
Share on other sites

Casser sa distribution ça peut arriver si on ne fait pas gaffe en effet, même si c'est bien plus compliqué que ça a pu l'être à une époque donnée. Après, comme tu débutes, c'est plus facile pour toi de faire ce genre d'erreur que pour nous. En même temps, je n'ai jamais rien trouvé de mieux que de faire des bêtises pour retenir les choses à ne pas faire, personnellement. ;)

 

Sinon pour ce qui est des options sur le Virtualbox que tu fais tourner dans la VM, il n'est pas impossible qu'il y ait des manques sous Linux. Mais il y a peut-être certaines options en plus, ou des noms de technologies utilisées par l'hôte qui changent ; ce qui peut faire qu'on n'y retrouve pas tous ses petits tout de suite.

 

Concernant la mémoire vive proposée par défaut pour ta VM Windows dans ta VM Linux, à tout hasard, quelle est la quantité de mémoire que tu as configuré pour ta machine virtuelle Linux ? Il n'est pas impossible que Virtualbox se base sur la quantité de mémoire vive maximale perçu par le système d'exploitation sur lequel il tourne pour adapter certains paramètres proposés par défaut.

 

Enfin, concernant la question que tu poses en fin de ton précédent message, à savoir s'il n'y a pas un risque que des VM configurées sous Windows pourraient ne pas tourner sous Linux, à mon avis il n'y a aucun problème. Je ne suis pas expert en technologies de virtualisation (loin de là), mais j'ai l'impression que les différents modes de paravirtualisation sont plus des différences d'implémentation que des différences d'API. À vérifier, mais ça n'est pas un point qui m'inquiète.

Share this post


Link to post
Share on other sites

j'ai 8go de ram (win10.64), 0 vm en cours d'utilisation, 0 autre log qui tourne, je créé une vm 7.64 vbox par def, il me met 512mo, alors les reglages par def, je m'en mefie enormement (vbox sous pc reel), sous pc virtuel linux, vbox me propose encore 512 pour 7.64 alors que la vm linux a 5go de dispo pour elle

 

pour les vm, je veux pas les refaire et donc flinguer des licences pour rien, donc je prends beaucoup de precautions

 

les diff entre vbox linux et vbox win sont extremement minimes et ne m'ont posé aucun probleme, y a juste cette histoire d'interface de paravirtualisation où j'ai un enorme doute (hyper-v est une techno microsoft, toutes les vm que vbox créé sont en hyper-v, sous linux je suppose que c KVM qui doit être dispo sous linux), d'où l'enorme doute sur la compaitibilité des vm créées sous win lorsqu'elles seront utilisées sous linux

Share this post


Link to post
Share on other sites
les diff entre vbox linux et vbox win sont extremement minimes et ne m'ont posé aucun probleme, y a juste cette histoire d'interface de paravirtualisation où j'ai un enorme doute (hyper-v est une techno microsoft, toutes les vm que vbox créé sont en hyper-v, sous linux je suppose que c KVM qui doit être dispo sous linux), d'où l'enorme doute sur la compaitibilité des vm créées sous win lorsqu'elles seront utilisées sous linux

 

Les VM sont compatible entre Mac/Win/Linux (sinon ca enleverai un gros interet au concept des VM), deplus je bosse tout les jours avec VirtualBox (enfin Genymotion qui utilise VirtualBox pour la virtualisation) et des VM Android qu'on test sous Mac/Win/Linux et on a pas une version specifique pour chaque plateforme.

 

L'interface de virtualisation n'a rien a voir avec la VM elle meme, mais est le moteur de virtualisation que VirtualBox va utiliser pour interpreter/transmettre les instructions entre la VM et le hardware.

Certain moteur ont des fonctionnalites supplementaire par rapport a d'autre (genre XEN/KVM propose un GPU virtuel Dom0 que QEmu n'a pas) ou plus efficace/rapide que d'autre en fonction des besoins. (genre QEmu est super rapide sur les allocations memoire mais Xen est plus rapide sur les perf 3D),

Par defaut c'est le moteur de virtualisation de VirtualBox ("legacy")

Hyper-V n'est disponible que sous windows

KVM/QEmu/Xen sont dispo sous Linux et OS X (pas sur) et peut-etre sous windows aussi (encore moins sur)

 

Je viens de tester ma VM d'ubuntu 14.04 que j'avais en stock pour la passer de Legacy a KVM, j'ai pas vu de changement a l'utilisation donc c'est surement des differences de perf sur des trucs specifique. (ou alors il a vu que j'ai pas installe les paquets KVM et a fallback sur Legacy)

 

Au final le conteneur VirtualBox (.vbox .vdi) ne va pas changer parce que tu change l'interface de virtualisation, je pense que le fait que tu puisse le changer apres avoir creer une VM est un bon indice vu que tu peux toujours revenir a Legacy.

A l'extreme limite tu pourrai peut-etre avoir des incompatibilites entre 2 versions majeur d'un soft de virtualisation s'ils font des modif au niveau du conteneur, mais j'ai encore jamais vu ca et si ca arriverait ca serai certain qu'il serai possible de migrer les VM vers la nouvelle version. (genre comme une base de donnee).

 

Si t'a un doute extreme, reste sur legacy, jusqu'a preuve du contraire ca marche tres bien.

Share this post


Link to post
Share on other sites

c un peu ce que je pensais vu que le terme utilisé était "interface" mais je voulais être certain à 100%

 

les licences win ça pousse pas sur les arbres ^^

 

et ma question était quoi mettre sous win (hyperv par defaut) pour que ça soit compatible apres sous linux

Share this post


Link to post
Share on other sites

g installé 14-04 TLS en reel sur un dd de test (dd principal deconnecté, je suis pas fou)

 

g forcé l'install de vbox 5.0.10

 

g tenté de creer une vm host only, bug à la con (connexion virtuelle impossible à installer dans le pc reel)

 

j'ai reinstallé le kernel de vbox + reboot (merci google), ça a corrigé le prob (oui je sais, c à cause de ma version tls)

 

j'ai retrouvé les mêmes options que sur la version windows de vbox sauf pour l'audio; la paravitualisation propose les mêms choix que via la version windows (donc hyperv)

 

g créé une vm xp.pro.sp3.32 en hyperv

 

/////

 

flash via plugin officiel, autres methodes ça a l'ai bien bordelique (un poil une honte)

 

/////

 

installation d'un paquet samba pour pouvoir creer des partages linux (les partages win marchaient avant l'install du paquet)(un poil une honte)

 

/////

 

les menu des fenetres des logiciels presents dans la barre en haut, j'ai mis qques minutes pour comprendre -_-''' (je trouve ça debile) j'ai trouvé où changer ça

 

////

 

pilote ati -_- c la merde

 

j'en ai besoin pour minecraft et pour le support de l'acceleration materielle 2d/3d sous vbox

 

mais là je tourne en rond

 

 

 

linux c facile........... pour l'utilisateur qui fait que de la bureautique........... sinon c faux

Share this post


Link to post
Share on other sites

Pour le flash j'ai jamais eu de soucis en utilisant Chromium+pepperflashplugin-nonfree

 

Mais il faut ajouter les depots main contrib non-free sous Debian.

Share this post


Link to post
Share on other sites

bon j'ai reinstallé ubuntu (15.10) (reel/dd test)

 

me suis fait un tuto d'installation etape par etape (reglages à changer tout ça)

 

me reste comme problemes bloquants:

-flash (solution proprietaire adobe marche impec) je cherche une solution pour firefox (non, pas de changement de naviguateur) opensource qui marche parfaitement et facile à installer et ... sans faille de secu .... si possible ^^

-pilote video (necessaire pour jouer à minecraft et pour avoir l'acceleration 2d/3d dispo sous virtualbox (sinon option grisée sous virtualbox)) (ubuntu 15.10 ati 5450); non je veux pas un pilote daubique, donc un pilote fermé je suis pas contre (si le pilote open fait ce que je souhaite, je suis pas sectaire)

-gui pour le gestionnaire de peripheriques (juste pour voir les peripheriques presents, installés, non installés)

-firewall (utilisation: virer TOUTES les regles par defaut, creer moi-même seulement celles necessaires (entrantes et sortantes))(dhcp/dns/partage/ping/majs/firefox/thunderbird/icr/torrent) (vision graphique des regles, parametrage et creation via un gui des regles)(sous win je tourne avec les regles citées plus haut, et ça marche impec); vision graphique et ou cli des connexions autorisées en cours et des connexions bloquées en cours

 

//////////

 

rajouter le support des checksums crc32/md5/sha1 via clic droit proprietes sur un fichier ET via fichier *.sfv *.md5 *.sha1, possible ?

 

//////////

 

OUI, je veux avoir un certain controle sur ma machine, je trouve que c normal et que c'est un minimum, sinon le linux fera pas long feu; avec win (même le 10) c'est possible (en bidouillant), donc je vois pas pkoi avec linux y aurait un probleme (ok pour les paquets et dependances c une autre histoire, j'ai maintenant compris les problemes créés à cause de ça; pareil pour les versions TLC)

Share this post


Link to post
Share on other sites

Hello,

 

on va essayer de répondre à certaines questions :

 

Flash : les versions libres fonctionnent assez mal, chrome/chromium a un support interne sinon il n'existe qu'une version 11.2.202.XXX plus d'info ici

 

Pilote video : les derniers drivers de chez AMD fonctionnent pour ta carte, soit tu les installes à la main soit par les dépots (c'est pas les dernières versions Crimson quoique chez Ubuntu mais au moins les catalyst, je te conseille de passer par là pour moins de prise de tête) info ici

 

GUI pour les périphériques : il en existe plusieurs, hardinfo et Device Driver Manager devraient convenir, ils doivent être dans les dépôts

 

GUI firewall : voir ici

 

Pour le support des checksums : gtkhash devrait convenir.

 

Voilà en espérant avoir été utile.

 

Bonnes bidouilles

Share this post


Link to post
Share on other sites

ok donc

 

-linux c acté ça sera donc via adobe

 

--->le reste en cours d'étude

 

-pilote ati down à partir du site me retrouve avec un *.zip puis un *.run qui me demande "you need to run this installer as the superuser"

 je lance le terminal puis je tape "su root" me demande un mdp que je mets, reponse "echec d'authentification", alors que pendant l'installation d'ubuntu j'ai bien fait gaffe pour le mdp -_-''' ---> solution trouvée pour le mdp -_-'''

Share this post


Link to post
Share on other sites

Re, installe les drivers AMD à partir des dépôts, tu t'embêteras moins. Lien.

 

Bon si tu l'as fait avec le .run et que pas de soucis, roule comme ça.

 

Bonne continuation.

Share this post


Link to post
Share on other sites

via down depuis site ati et apres avoir reglé les probs de lancement et de root, il me sort qu'il me manque des dependances, donc je l'ai fait via les depots

 

via "logiciels et mises à jour/onglet pilote aditionnels"

j'ai 3 choix:

-............................ (libre)

-........fglrx-updates (proprietaire)

-.........fglrx              (proprietaire)     utilisé

 

vbox me sort que j'ai tjrs pas d'acceleration materielle -_-''' EDIT (apres reboot, je l'ai enfin)

 

--->le reste en cours d'étude

Share this post


Link to post
Share on other sites

Ça avance, comme le disait les autres contributeurs du topic, passe autant que possible par les dépôts, ça permet de garder un système propre et surtout une bonne gestion des dépendances.

 

l'outil dpkg est à manier avec parcimonie :chinois:

 

Par contre pour ce qui est de la virtualisation, je ne pourrai pas grand chose pour toi, je suis un néophyte absolu en la matière.

 

Bon tests à toi, bientôt la barbe^^

Share this post


Link to post
Share on other sites

firewall gufw installé (le gui quoi)

 

c normal que alors que les zones bureau/public/dossierperso sont sur refuser/refuser, les majs de ubuntu passent?

pas possible de faire des regles en precisant quels logiciels bloquer/autoriser ?

 

rassurez moi les gars, c une blague

 

pour le firewall les regles que je souhaite (si non dans la liste = entrant/sortant bloqué)

 

80/443 pour firefox seulement

25/110/... pour thunderbird seulement

...

 

je ne veux pas que certains logs sortent dehors via des regles "autorisées" pour d'autres logs

 

////

 

EDIT j'avais pas repondu avant, j'ai déjà la barbe (avant de tester linux), et j'en ai déjà la barbe ^^ (de linux)

Share this post


Link to post
Share on other sites

Iptables en ligne de commande surpasse toute gui, sache aussi que par défaut il n'y a aucune règle.

Sinon quels log sortent? Je ne comprend pas. Les logs sont local dans var/log (par défaut) et sert d'information.

Share this post


Link to post
Share on other sites

impossible de creer une regle par logiciel

genre

-firefox port80 autoriser

-autre logiciel port80 refuser

 

j'ai aucune regle, zones bureau/public/dossierperso sont sur refuser/refuser, je lance le scan de maj de ubuntu, il reussi à atteindre internet

Share this post


Link to post
Share on other sites

×
×
  • Create New...